/**
 * Copyright (C) 2018 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package android.security.cts;

import android.platform.test.annotations.SecurityTest;

@SecurityTest
public class Poc17_05 extends SecurityTestCase {

    /**
     *  b/34277115
     */
    @SecurityTest
    public void testPocCVE_2017_0630() throws Exception {
        if (containsDriver(getDevice(), "/sys/kernel/debug/tracing/printk_formats")) {
          String commandOutput = AdbUtils.runCommandLine("cat /sys/kernel/debug/tracing" +
                                                         "/printk_formats", getDevice());
          assertNotMatchesMultiLine(".*0x(?!0){8,16}[0-9a-fA-F]{8,16} : .*", commandOutput);
        }
    }
}
